from wagtail.admin.menu import Menu, MenuItem


class ModelMenuItem(MenuItem):
    def __init__(self, model, permission_policy, url, **kwargs):
        self.permission_policy = permission_policy

        super().__init__(model._meta.verbose_name_plural.title(), url, **kwargs)

    def is_shown(self, request):
        return self.permission_policy.user_has_any_permission(
            request.user, ['add', 'change', 'delete']
        )


evenements_menu = Menu(register_hook_name='register_evenements_menu_item')
territoire_menu = Menu(register_hook_name='register_territoire_menu_item')

jouer_menu = Menu(register_hook_name='register_jouer_menu_item')
