from wagtail.api.v2.router import WagtailAPIRouter
from wagtail.api.v2.views import PagesAPIViewSet

from rest_framework.settings import api_settings

from .core.api.views import (
    EvenementsAPIViewSet,
    FestivalsAPIViewSet,
    LieuxAPIViewSet,
    StructuresAPIViewSet,
    VillesAPIViewSet,
)
from .jouer.api.views import JouerAPIViewSet
from .notifications.api.views import NotificationsAPIViewSet

PagesAPIViewSet.renderer_classes = api_settings.DEFAULT_RENDERER_CLASSES

api_router = WagtailAPIRouter('api')
api_router.register_endpoint('pages', PagesAPIViewSet)

api_router.register_endpoint('villes', VillesAPIViewSet)
api_router.register_endpoint('lieux', LieuxAPIViewSet)
api_router.register_endpoint('structures', StructuresAPIViewSet)

api_router.register_endpoint('festivals', FestivalsAPIViewSet)
api_router.register_endpoint('evenements', EvenementsAPIViewSet)

api_router.register_endpoint('jouer', JouerAPIViewSet)

api_router.register_endpoint('notifications', NotificationsAPIViewSet)
