from django.core.validators import FileExtensionValidator

from stdimage.validators import MinSizeValidator

VISUEL_MIN_SIZE = (1344, 604)
VISUEL_VARIATIONS = {
    'mobile': (768, 345),
    'desktop': (960, 432),
}
VISUEL_ALLOWED_EXTENSIONS = ('jpg', 'jpeg', 'png')
VISUEL_HELP_TEXT = (
    "L'image doit être au format JPEG ou PNG avec une taille minimale de "
    "{0}x{1}.".format(*VISUEL_MIN_SIZE)
)

VISUEL_VALIDATORS = [
    FileExtensionValidator(allowed_extensions=VISUEL_ALLOWED_EXTENSIONS),
    MinSizeValidator(*VISUEL_MIN_SIZE),
]
