from django.urls import path

from rest_framework import exceptions
from rest_framework.response import Response
from rest_framework.viewsets import ViewSet

from ..models import JeuSettings


class JouerAPIViewSet(ViewSet):
    def consigne_view(self, request):
        jeu_settings = JeuSettings.for_request(request)
        if not jeu_settings.is_active:
            raise exceptions.NotFound(
                "Il n'est pas possible de jouer pour le moement, revenez "
                "plus tard !"
            )
        return Response(
            {
                'consigne': jeu_settings.consigne.consigne,
                'consigne_id': jeu_settings.consigne.id,
                'instructions': jeu_settings.instructions,
            }
        )

    @classmethod
    def get_urlpatterns(cls):
        return [
            path('', cls.as_view({'get': 'consigne_view'}), name='consigne'),
        ]
