from django.db.models.signals import post_save
from django.utils import timezone


def update_active_consigne(sender, instance, **kwargs):
    if not instance.consigne or not instance.is_active:
        return

    consigne = instance.consigne
    consigne.is_available = False
    consigne.last_active_at = timezone.now().date()
    consigne.save(update_fields=['is_available', 'last_active_at'])


def register_signal_handlers():
    from .models import JeuSettings

    post_save.connect(update_active_consigne, sender=JeuSettings)
