import pytest

from ..models import Consigne
from .factories import ConsigneFactory


class TestConsigne:
    def test_get_random(self):
        with pytest.raises(Consigne.DoesNotExist):
            Consigne.objects.get_random()

        consigne = ConsigneFactory()
        assert Consigne.objects.get_random() == consigne

        consignes_id = [c.id for c in ConsigneFactory.create_batch(3)]
        consigne.is_available = False
        consigne.save()
        assert Consigne.objects.available().get_random().id in consignes_id
