from django.conf import settings
from django.db.models.signals import pre_save

from danse.jouer.models import JeuSettings

from .models import PushSubscription


def notify_new_consigne(sender, instance, **kwargs):
    """
    Notifie en cas de nouvelle consigne, ou si le jeu devient actif.
    """
    if not instance.consigne or not instance.is_active:
        return
    current = sender.objects.get(pk=instance.pk)
    if current.consigne_id == instance.consigne_id and current.is_active:
        return
    PushSubscription.objects.notify(
        title=settings.NOTIFICATIONS_JEU_TITLE,
        body=instance.consigne.consigne,
    )


def register_signal_handlers():
    pre_save.connect(notify_new_consigne, sender=JeuSettings)
