from .models import StructureUser


def structure_user_middleware(get_response):
    def middleware(request):
        assert hasattr(request, 'user'), (
            "structure_user_middleware dépend du système d'authentification. "
            "Vérifiez le réglage MIDDLEWARE afin qu'il soit appelé après "
            "'django.contrib.auth.middleware.AuthenticationMiddleware'."
        )
        try:
            request.user = StructureUser.objects.get_for_user(request.user)
        except StructureUser.DoesNotExist:
            request.user.is_structure_user = False
        return get_response(request)

    return middleware
