from django.urls import reverse
from django.utils.safestring import mark_safe

from wagtail.core import hooks


class UserStructureCreationPanel:
    order = 0

    def render(self):
        return mark_safe(
            """
            <section class="panel summary nice-padding">
              <div class="help-block help-critical">
                Veuillez commencer par <a href="{}">créer votre structure</a>
                afin de pouvoir ajouter et modifier vos évènements.
              </div>
            </section>
            """.format(
                reverse('admin_structure:add')
            )
        )


@hooks.register('construct_homepage_panels')
def add_user_related_panel(request, panels):
    if request.user.is_structure_user and request.user.structure_id is None:
        panels.append(UserStructureCreationPanel())
