import warnings

from rest_framework.serializers import ImageField


class StdImageField(ImageField):
    def __init__(self, *args, **kwargs):
        if not kwargs.pop('use_url', True):
            warnings.warn('use_url is ignored, it will be True', UserWarning)
        super().__init__(*args, use_url=True, **kwargs)

    def to_representation(self, value):
        def to_representation(value):
            return super(ImageField, self).to_representation(value)

        return {
            'url': to_representation(value),
            'variations': {
                variation: to_representation(getattr(value, variation, None))
                for variation in value.field.variations.keys()
            },
        }
