from django.http import StreamingHttpResponse

from ics import Calendar


class ICalResponse(StreamingHttpResponse):
    def __init__(self, calendar=None, events=None, filename='calendar.ics'):
        if calendar is None and events is None:
            raise ValueError("Either calendar or events should be given")
        if calendar is None:
            calendar = Calendar(creator="Danse !")
        if events is not None:
            calendar.events.update(events)
        self.calendar = calendar

        super().__init__(self.calendar, content_type='text/calendar')

        self['Content-Disposition'] = 'attachment; filename="{}"'.format(
            filename
        )
