from django.contrib.gis.geos import Point

from faker.providers.address.fr_FR import Provider as AddressProvider
from faker.providers.geo import Provider as GeoProvider


class CodePostalProvider(AddressProvider):
    # FIXME: les départements d'Outre-mer ne sont pas supportés
    departments = tuple(
        department
        for department in AddressProvider.departments
        if len(department[0]) == 2
    )

    def postcode(self):
        return '{}{:03}'.format(
            self.department_number(), self.random_int(min=0, max=999)
        )


class DjangoGeoPointProvider(GeoProvider):
    def geo_point(self):
        coords = self.local_latlng(country_code='FR', coords_only=True)
        return Point(x=float(coords[1]), y=float(coords[0]), srid=4326)
