import pytest

from ..postcode import get_departement


@pytest.mark.parametrize(
    'code_postal, departement',
    [('59000', "Nord"), ('05110', "Hautes-Alpes"), ('42620', "Loire")],
)
def test_get_departement(code_postal, departement):
    assert get_departement(code_postal) == departement


def test_get_departement_invalid():
    with pytest.raises(TypeError):
        get_departement(59123)
    with pytest.raises(KeyError):
        get_departement('abcd')
