const path = (p) => `api/v1/${p}`;

export const Evenements = {
  FILTERS: ['genre', 'debut__gte', 'ville', 'structure'],
  LIST: path('evenements/'),
  GET: (id) => path(`evenements/${id}/`),
};

export const Festivals = {
  GET: (id) => path(`festivals/${id}/`),
};

export const Lieux = {
  LIST: path('lieux/'),
  GET: (id) => path(`lieux/${id}/`),
};

export const Structures = {
  LIST: path('structures/'),
  GET: (id) => path(`structures/${id}/`),
};

export const Villes = {
  LIST: path('villes/'),
  GET: (id) => path(`villes/${id}/`),
};

export const Pages = {
  LIST: path('pages/'),
  FIND: (slug) => path(`pages/find/?html_path=/${slug}`),
};

export const Jouer = {
  CONSIGNE: path('jouer/'),
};

export const Notifications = {
  INFO: path('notifications/'),
  SUBSCRIBE: path('notifications/subscribe/'),
  UNSUBSCRIBE: path('notifications/unsubscribe/'),
};

export default {
  Evenements,
  Festivals,
  Jouer,
  Lieux,
  Notifications,
  Pages,
  Structures,
  Villes,
};
