import Vue from 'vue';
import VueDOMPurifyHTML from 'vue-dompurify-html';

Vue.use(VueDOMPurifyHTML);

if (!Vue.__dompurify__) {
  Vue.__dompurify__ = true;

  Vue.mixin({
    methods: {
      /**
       * Prend en charge le clique sur un lien interne afin de passer par
       * `vue-router` pour changer de page dynamiquement.
       */
      handleLinkClick(event) {
        let { target } = event;
        while (target && target.tagName !== 'A') target = target.parentNode;
        if (target && target.matches('a:not([href*="://"])') && target.href) {
          // cf. vue-router:src/components/link.js
          if (event.metaKey || event.altKey || event.ctrlKey || event.shiftKey)
            return;
          if (event.defaultPrevented) return;
          if (event.button !== undefined && event.button !== 0) return;
          if (/\b_blank\b/i.test(target.getAttribute('target'))) return;

          // nettoie l'URL des éventuelles ancres
          const to = new URL(target.href).pathname;

          if (window.location.pathname !== to && event.preventDefault) {
            event.preventDefault();
            this.$router.push(to);
          }
        }
      },
    },
  });
}
