#!/usr/bin/env python
import os
import sys

from danse.settings import DJANGO_SETTINGS_MODULE


def main():
    # Set the default settings module to use.
    os.environ.setdefault('DJANGO_SETTINGS_MODULE', DJANGO_SETTINGS_MODULE)

    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            "Couldn't import Django. Are you sure it's installed and "
            "available on your PYTHONPATH environment variable? Did you "
            "forget to activate a virtual environment?"
        ) from exc

    from django.core.exceptions import ImproperlyConfigured

    try:
        execute_from_command_line(sys.argv)
    except ImproperlyConfigured as exc:
        from django.core.management.color import color_style

        style = color_style()
        sys.stderr.write(
            "%s %s\n" % (style.ERROR('ImproperlyConfigured:'), str(exc))
        )
        sys.exit(1)


if __name__ == '__main__':
    main()
